stages:
  - test
  - build
  - deploy
  - production

docs:
  stage: test
  image: davidhrbac/docker-mdcheck:latest
  allow_failure: true
  script:
  - mdl -r ~MD013 *.md docs.it4i/

mkdocs:
  stage: build
  image: davidhrbac/docker-mkdocscheck:latest
  script:
  - mkdocs build

shellcheck:
  stage: test
  image: davidhrbac/docker-shellcheck:latest
  allow_failure: true
  script:
  - which shellcheck || apt-get update && apt-get install -y shellcheck
  - shellcheck *.sh
